FreeBSD : acroread -- insecure temporary file creation (107692a1-ee6c-11d9-8310-0001020eed82)

Low Nessus Plugin ID 18844

Synopsis

The remote FreeBSD host is missing one or more security-related updates.

Description

Secunia Research reports :

Secunia has discovered a security issue in Adobe Reader for Linux, which can be exploited by malicious, local users to gain knowledge of sensitive information.

The problem is caused due to temporary files being created with permissions based on a user's umask in the '/tmp' folder under certain circumstances when documents are opened.

Successful exploitation allows an unprivileged user to read arbitrary users' documents.

Solution

Update the affected packages.

See Also

http://secunia.com/secunia_research/2005-6/advisory/

http://www.nessus.org/u?9234eca6

Plugin Details

Severity: Low

ID: 18844

File Name: freebsd_pkg_107692a1ee6c11d983100001020eed82.nasl

Version: $Revision: 1.19 $

Type: local

Published: 2005/07/13

Modified: 2015/05/13

Dependencies: 12634

Risk Information

Risk Factor: Low

CVSSv2

Base Score: 2.1

Vector: CVSS2#AV:L/AC:L/Au:N/C:P/I:N/A:N

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:acroread, p-cpe:/a:freebsd:freebsd:acroread4, p-cpe:/a:freebsd:freebsd:acroread5, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2005/07/06

Vulnerability Publication Date: 2005/06/29

Reference Information

CVE: CVE-2005-1841